Class | OpenStruct
In: | lib/json/add/ostruct.rb
Parent: | Object

OpenStruct serialization/deserialization

### Methods

as_json json_create to_json

### Public Class methods

json_create(object)

Deserializes JSON string by constructing new Struct object with values `v` serialized by `to_json`.

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (OpenStruct) with this struct‘s values `v` as a JSON string.

[Validate]